# psDeriver

`psDeriver` is a file which lets one define postscript derivations simply. It handles specified dependencies (no dependency tree resolution), and can optionally generate an executable which runs the main function if present.

## Usage

See `example/example.nix` for an example.

Import `psDeriver.nix` and pass the following arguments:

### `pkgs`
The usual nixpkgs

### `nodejs` (optional)
Nodejs derivation to use for running executables. If not specified then `pkgs.nodejs` will be used. Will not be used if no executable is specified.

### `purescript` (optional)
Purescript derivation to use for compilation. If not specified then `pkgs.purescript` will be used.

### `deps`
A list of dependencies in one of the following formats:

* `{ name; version; src; }`

* `{ name; version; gitUrl; }`

If the second format is used then version will be used as a tag of the git repository. This is the style demonstrated in `example/example.nix`.

### `out`
Information about the output derivation, given in the following attributes.

* `name` - name of package
* `version` - version of package
* `src` - source directory for purescript code (usually `./src`)
* `executable` (optional) - if specified an executable with this name will be created which calls `Main.main`.
